@import '_content/Microsoft.AspNetCore.Components.QuickGrid/Microsoft.AspNetCore.Components.QuickGrid.25o87uqmvr.bundle.scp.css';

/* _content/BlazorAppManger/Components/Layout/EmptyLayout.razor.rz.scp.css */
.page[b-mrj8wi1wuy] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-mrj8wi1wuy] {
    flex: 1;
}

.sidebar[b-mrj8wi1wuy] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-mrj8wi1wuy] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-mrj8wi1wuy]  a, .top-row[b-mrj8wi1wuy]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

        .top-row[b-mrj8wi1wuy]  a:hover, .top-row[b-mrj8wi1wuy]  .btn-link:hover {
            text-decoration: underline;
        }

        .top-row[b-mrj8wi1wuy]  a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

@media (max-width: 640.98px) {
    .top-row[b-mrj8wi1wuy] {
        justify-content: space-between;
    }

        .top-row[b-mrj8wi1wuy]  a, .top-row[b-mrj8wi1wuy]  .btn-link {
            margin-left: 0;
        }
}

@media (min-width: 641px) {
    .page[b-mrj8wi1wuy] {
        flex-direction: row;
    }

    .sidebar[b-mrj8wi1wuy] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-mrj8wi1wuy] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

        .top-row.auth[b-mrj8wi1wuy]  a:first-child {
            flex: 1;
            text-align: right;
            width: 0;
        }

    .top-row[b-mrj8wi1wuy], article[b-mrj8wi1wuy] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-mrj8wi1wuy] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-mrj8wi1wuy] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }



html[b-mrj8wi1wuy], body[b-mrj8wi1wuy] {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

button[b-mrj8wi1wuy] {
    width: 100%;
}

a[b-mrj8wi1wuy], .btn-link[b-mrj8wi1wuy] {
    color: #006bb7;
}

.btn-primary[b-mrj8wi1wuy] {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus[b-mrj8wi1wuy], .btn:active:focus[b-mrj8wi1wuy], .btn-link.nav-link:focus[b-mrj8wi1wuy], .form-control:focus[b-mrj8wi1wuy], .form-check-input:focus[b-mrj8wi1wuy] {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content[b-mrj8wi1wuy] {
    padding-top: 1.1rem;
}

h1:focus[b-mrj8wi1wuy] {
    outline: none;
}

.valid.modified:not([type=checkbox])[b-mrj8wi1wuy] {
    outline: 1px solid #26b050;
}

.invalid[b-mrj8wi1wuy] {
    outline: 1px solid #e50000;
}

.validation-message[b-mrj8wi1wuy] {
    color: #e50000;
}

.blazor-error-boundary[b-mrj8wi1wuy] {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary[b-mrj8wi1wuy]::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input[b-mrj8wi1wuy] {
    border-color: #929292;
}

.form-floating > .form-control-plaintext[b-mrj8wi1wuy]::placeholder, .form-floating > .form-control[b-mrj8wi1wuy]::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus[b-mrj8wi1wuy]::placeholder, .form-floating > .form-control:focus[b-mrj8wi1wuy]::placeholder {
    text-align: start;
}
/* _content/BlazorAppManger/Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-qmbz2vghw2] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-qmbz2vghw2] {
    flex: 1;
}

.sidebar[b-qmbz2vghw2] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-qmbz2vghw2] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-qmbz2vghw2]  a, .top-row[b-qmbz2vghw2]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-qmbz2vghw2]  a:hover, .top-row[b-qmbz2vghw2]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-qmbz2vghw2]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-qmbz2vghw2] {
        justify-content: space-between;
    }

    .top-row[b-qmbz2vghw2]  a, .top-row[b-qmbz2vghw2]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-qmbz2vghw2] {
        flex-direction: row;
    }

    .sidebar[b-qmbz2vghw2] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-qmbz2vghw2] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-qmbz2vghw2]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-qmbz2vghw2], article[b-qmbz2vghw2] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-qmbz2vghw2] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-qmbz2vghw2] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }



html[b-qmbz2vghw2], body[b-qmbz2vghw2] {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

button[b-qmbz2vghw2] {
    width: 100%;
}

a[b-qmbz2vghw2], .btn-link[b-qmbz2vghw2] {
    color: #006bb7;
}

.btn-primary[b-qmbz2vghw2] {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus[b-qmbz2vghw2], .btn:active:focus[b-qmbz2vghw2], .btn-link.nav-link:focus[b-qmbz2vghw2], .form-control:focus[b-qmbz2vghw2], .form-check-input:focus[b-qmbz2vghw2] {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content[b-qmbz2vghw2] {
    padding-top: 1.1rem;
}

h1:focus[b-qmbz2vghw2] {
    outline: none;
}

.valid.modified:not([type=checkbox])[b-qmbz2vghw2] {
    outline: 1px solid #26b050;
}

.invalid[b-qmbz2vghw2] {
    outline: 1px solid #e50000;
}

.validation-message[b-qmbz2vghw2] {
    color: #e50000;
}

.blazor-error-boundary[b-qmbz2vghw2] {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary[b-qmbz2vghw2]::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input[b-qmbz2vghw2] {
    border-color: #929292;
}

.form-floating > .form-control-plaintext[b-qmbz2vghw2]::placeholder, .form-floating > .form-control[b-qmbz2vghw2]::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus[b-qmbz2vghw2]::placeholder, .form-floating > .form-control:focus[b-qmbz2vghw2]::placeholder {
    text-align: start;
}
/* _content/BlazorAppManger/Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-krvyvnb6zu] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

    .navbar-toggler:checked[b-krvyvnb6zu] {
        background-color: rgba(255, 255, 255, 0.5);
    }

.top-row[b-krvyvnb6zu] {
    min-height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-krvyvnb6zu] {
    font-size: 1.1rem;
}

.bi[b-krvyvnb6zu] {
    margin-right: 0.5rem;
/*    margin-top: 0.2rem;*/
}



.nav-item[b-krvyvnb6zu] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-krvyvnb6zu] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-krvyvnb6zu] {
        padding-bottom: 1rem;
    }

    .nav-item[b-krvyvnb6zu]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

    .nav-item[b-krvyvnb6zu]  a.active {
        background-color: rgba(255,255,255,0.37);
        color: white;
    }

    .nav-item[b-krvyvnb6zu]  .nav-link:hover {
        background-color: rgba(255,255,255,0.1);
        color: white;
    }

.nav-scrollable[b-krvyvnb6zu] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-krvyvnb6zu] {
    display: block;
}

@media (min-width: 641px) {
    .navbar-toggler[b-krvyvnb6zu] {
        display: none;
    }

    .nav-scrollable[b-krvyvnb6zu] {
        /* Never collapse the sidebar for wide screens */
        display: block;
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}

.activeHome span[b-krvyvnb6zu] {
    color: white !important;
}
/* _content/BlazorAppManger/Components/Pages/BoxPages/Index.razor.rz.scp.css */
[b-zoipp88pec] .description-column {
    font-size: 12px;
    color: gray;
}
/* _content/BlazorAppManger/Components/Pages/Home.razor.rz.scp.css */
[b-t0xf3ye8jz] .listview-item {
    width: 100%;
}

[b-t0xf3ye8jz] .card-header {
    padding: 0.25rem 0.5rem
}

[b-t0xf3ye8jz] .card-title {
    margin-inline-start: 0.25rem !important;
    font-size: 0.8rem;
}

[b-t0xf3ye8jz] .cardExtInfor {
    font-size: 0.8rem;
}
[b-t0xf3ye8jz] .listview-item {
    margin: 0 0.5rem 0.5rem 0 !important;
}
/* _content/BlazorAppManger/Components/Pages/RoomPages/Index.razor.rz.scp.css */
[b-9re590c860] .description-column {
    font-size: 12px;
    color: gray;
}
